質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.93%

pythonからElasticsearchにアクセスできない!

受付中

回答 0

投稿

  • 評価
  • クリップ 0
  • VIEW 187

Ponde_ling

score 8

プログラム概要

python3.7においてElasticsearchにアクセスできているか確認するプログラムで、テキストをカウントします。Elasticsearchの中にテキストデータを入れるためのプログラムとテキストデータで構成しています。エラーメッセージが大量に表示されて何をどうすればいいのか分からない状態です。何を訂正すればエラーは解消されるでしょうか。

開発環境
PyCharm2019.2
モジュール:elasticsearch
elasticsearch-7.8.0とanalysis-kuromoji-7.8.0をダウンロードしてあります。

理想の実行結果

(10, [])

コード

from elasticsearch import Elasticsearch, helpers
es = Elasticsearch()

def load():
    with open('./dialogue_pairs.txt', encoding='utf-8') as f:
        for i, __ in enumerate(f):
            print(i, '...', end='\r')
            __ = __.split('\t')
            tweet = __[0].strip()
            reply = __[1].strip()
            item = {'_index':'dialogue_pair', '_type':'docs', '_source':{ 'query':tweet, 'response':reply }}
            yield item

if __name__ == '__main__':
    print(helpers.bulk(es, load()))

dialogue_pairs.txt

最近はまっていることなどはありますか?    朝ドラでしょうか。
朝ドラでしょうか。    どんなタイトルなんですか?
どんなタイトルなんですか?    スカーレット、です。
スカーレット、です。    みどころはどのあたりですか?
みどころはどのあたりですか?    笑えるところです。劇中の会話が漫才みたいな時があります。大阪制作らしいドラマです。
笑えるところです。劇中の会話が漫才みたいな時があります。大阪制作らしいドラマです。    笑えるのは良いですね、感動や悲劇などもあるのでしょうか?
笑えるのは良いですね、感動や悲劇などもあるのでしょうか?    時々あります。
時々あります。    70年くらい前の時代設定なんでしたっけ
70年くらい前の時代設定なんでしたっけ    現時点の放送では、昭和34年という設定です。
現時点の放送では、昭和34年という設定です。    激動の時代ですね。タイトルの由来が気になります

エラーメッセージ

Traceback (most recent call last):
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\connection.py", line 157, in _new_conn
    (self._dns_host, self.port), self.timeout, **extra_kw
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\util\connection.py", line 84, in create_connection
    raise err
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\util\connection.py", line 74, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [WinError 10061] 対象のコンピューターによって拒否されたため、接続できませんでした。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\connection\http_urllib3.py", line 233, in perform_request
    method, url, body, retries=Retry(False), headers=request_headers, **kw
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\connectionpool.py", line 720, in urlopen
    method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\util\retry.py", line 376, in increment
    raise six.reraise(type(error), error, _stacktrace)
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\packages\six.py", line 735, in reraise
    raise value
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\connectionpool.py", line 672, in urlopen
    chunked=chunked,
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\connectionpool.py", line 387, in _make_request
    conn.request(method, url, **httplib_request_kw)
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 1244, in request
    self._send_request(method, url, body, headers, encode_chunked)
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 1290, in _send_request
    self.endheaders(body, encode_chunked=encode_chunked)
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 1239, in endheaders
    self._send_output(message_body, encode_chunked=encode_chunked)
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 1026, in _send_output
    self.send(msg)
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\http\client.py", line 966, in send
    self.connect()
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\connection.py", line 184, in connect
    conn = self._new_conn()
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\urllib3\connection.py", line 169, in _new_conn
    self, "Failed to establish a new connection: %s" % e
urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x07DF7B70>: Failed to establish a new connection: [WinError 10061] 対象のコンピューターによって拒否されたため、接続できませんでした。

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:/Users/beret/otintin/insert.py", line 16, in <module>
    print(helpers.bulk(es, load()))
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\helpers\actions.py", line 360, in bulk
    for ok, item in streaming_bulk(client, actions, *args, **kwargs):
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\helpers\actions.py", line 290, in streaming_bulk
    **kwargs
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\helpers\actions.py", line 217, in _process_bulk_chunk
    for item in gen:
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\helpers\actions.py", line 166, in _process_bulk_chunk_error
    raise error
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\helpers\actions.py", line 205, in _process_bulk_chunk
    resp = client.bulk("\n".join(bulk_actions) + "\n", *args, **kwargs)
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\client\utils.py", line 139, in _wrapped
    return func(*args, params=params, headers=headers, **kwargs)
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\client\__init__.py", line 433, in bulk
    body=body,
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\transport.py", line 352, in perform_request
    timeout=timeout,
  File "C:\Users\beret\AppData\Local\Programs\Python\Python37-32\lib\site-packages\elasticsearch\connection\http_urllib3.py", line 245, in perform_request
    raise ConnectionError("N/A", str(e), e)
elasticsearch.exceptions.ConnectionError: ConnectionError(<urllib3.connection.HTTPConnection object at 0x07DF7B70>: Failed to establish a new connection: [WinError 10061] 対象のコンピューターによって拒否されたため、接続できませんでした。) caused by: NewConnectionError(<urllib3.connection.HTTPConnection object at 0x07DF7B70>: Failed to establish a new connection: [WinError 10061] 対象のコンピューターによって拒否されたため、接続できませんでした。)
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.93%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る